#skills {
    padding: 4rem 0;
}

#skills h2.section-title {
    font-size: 2rem;
    color: var(--text-secondary-color);
    margin-bottom: 2rem;
    text-align: center;
}

#skills .skills {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
    padding: 1rem;
}

@media (max-width: 992px) {
  #skills .skills {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 576px) {
  #skills .skills {
    grid-template-columns: 1fr;
  }
}

#skills .skill {
    background-color: var(--secondary-color);
    border: 1px solid var(--text-secondary-color);
    border-radius: 1rem;
    padding: 2rem;
    box-shadow: 0px 8px 56px rgb(15 80 100 / 8%);
    transition: box-shadow 0.2s ease;
}

#skills .skill:hover {
    box-shadow: 0 0 11px rgb(15 80 100 / 16%);
}

#skills .skill-title {
    font-size: 1.25rem;
    color: var(--primary-color);
    margin-bottom: 1rem;
}

#skills .skill-description {
    font-size: 1rem;
    line-height: 1.6;
    opacity: 0.85;
}
